.footer {
    display: flex;
    flex-direction: column;
    padding: 10rem 0;

    font-size: 1.4rem;

    color: $color-gray-light-100;
    background-color: $color-gray-dark-300;

    @include respond-to('tablet-portrait') {
        padding: 8rem 0;
    }

    &__logo {
        width: auto;
        height: 11.9rem;
        margin-bottom: 8rem;

        @include respond-to('mobile') {
            height: 6rem;
            margin-bottom: 4rem;
        }
    }

    &__top {
        display: flex;
        justify-content: center;
    }

    &__bottom {
        display: flex;
        column-gap: 3rem;
        justify-content: space-between;
        padding: 0 2rem;

        & > * {
            border-top: 2px solid $color-gray-dark-100;
        }

        @include respond-to('mobile') {
            flex-direction: column;
            align-items: center;
            column-gap: 0;
            row-gap: 2rem;
        }
    }

    &__nav {
        display: flex;
        padding: 2rem 1rem;

        list-style: none;

        @include respond-to('mobile') {
            width: 80%;
            flex-wrap: wrap;
            order: 2;
            justify-content: center;
        }
    }

    &__nav-item {
        &:not(:last-child) {
            margin-right: 1.5rem;
        }

        @include respond-to('mobile') {
            margin-bottom: 1rem;
        }
    }

    &__info {
        max-width: 40%;
        padding: 2rem 1rem;

        @include respond-to('mobile') {
            max-width: 80%;
            order: 1;

            text-align: center;
        }
    }

    &__link {
        display: inline-block;

        &:link,
        &:visited {
            text-decoration: none;
            text-transform: uppercase;
            background-color: $color-gray-dark-300;
            color: $color-gray-light-100;
            transition: transform .2s;
        }

        &:hover,
        &:active {
            color: $color-primary;
            box-shadow: 0 1rem 2rem rgba($color-black, .4);
            transform: rotate(5deg) scale(1.3);
        }
    }
}
